Search Support

Avoid support scams. We will never ask you to call or text a phone number or share personal information. Please report suspicious activity using the “Report Abuse” option.

Learn More

the version of Firefox is not compatible with my tab. why?

  • 1 reply
  • 2 have this problem
  • 10 views
  • Last reply by jscher2000

more options

I have on tab Samsung galaxy gt– p6200, Version of Android is 3.2 And when I try to install the Firefox on my tab s ay s that is not compatible. Have an y vers ion compatible?

All Replies (1)

more options

Tablet support isn't completed yet. If you want to try a test version, see the following thread: Why is firefox not supported on android tablets yet. If it is still under testing, why not allow users to test it on their tablets and give feedbacks.